# ApiHdfsUsageReport Data Model

A generic list.

Properties
name | data type | description
--- | --- | ---
lastUpdateTime | string | The time when HDFS usage info was last collected. No information beyond this time can be provided.
items | array of ApiHdfsUsageReportRow | A list of per-user usage information at the requested time granularity.

Example

    {
      "lastUpdateTime" : "...",
      "items" : [ {
        "date" : "...",
        "user" : "...",
        "size" : 12345,
        "rawSize" : 12345,
        "numFiles" : 12345
      }, {
        "date" : "...",
        "user" : "...",
        "size" : 12345,
        "rawSize" : 12345,
        "numFiles" : 12345
      } ]
    }